一个关于GCC 安装的问题

重复贴和参考价值不大的帖子,版主维护
回复
浪掷毋庸
帖子: 5
注册时间: 2008-11-14 12:06
送出感谢: 0
接收感谢: 0

一个关于GCC 安装的问题

#1

帖子 浪掷毋庸 » 2008-11-14 12:15

我用的VISTA 的主机系统 ,用虚拟机安装的 8.04ubuntu。
我想安装 minigui,需要安装 libminigui-1.3.3, 在make的时候出现错误
varbitmap.c:248: error: static declaration of 'var_bitmap_font_ops' follows non-static declaration
varbitmap.h:38: error: previous declaration of 'var_bitmap_font_ops' was here

编译问题 ,通过查看其他成功安装的 机子的GCC版本,是3.4.3,我机子上的是 gcc 版本 4.2.4 (Ubuntu 4.2.4-1ubuntu3)
我去下载了 一个 3。4。3的版本 ,但是安装的时候出现
root@ynxu-desktop:~/gcc-3.4.3# ./install-sh
./install-sh: no input file specified
错误。
解压后的文件包括 : ABOUT-NLS config.rpath include ltcf-c.sh MD5SUMS
boehm-gc config.status INSTALL ltcf-cxx.sh missing
BUGS config.sub install-sh ltcf-gcj.sh mkdep
bugs.html configure intl ltconfig mkinstalldirs
ChangeLog configure.in LAST_UPDATED ltmain.sh move-if-change
config contrib libf2c MAINTAINERS NEWS
config.back COPYING libffi maintainer-scripts README
config.cache COPYING.LIB libiberty Makefile README.SCO
config.guess FAQ libjava Makefile.def serdep.tmp
config.if faq.html libobjc Makefile.in symlink-tree
config.log fastjar libstdc++-v3 Makefile.tpl ylwrap
config-ml.in gcc libtool.m4 maybedep.tmp zlib

这个怎么回事,多谢指点 。
回复

回到 “归档贴”